io.vertx.rxjava3.core.shareddata

## Class Lock

- java.lang.Object
- - io.vertx.rxjava3.core.shareddata.Lock

-     public class Lock
      extends Object

  An asynchronous exclusive lock which can be obtained from any node in the cluster.

  When the lock is obtained, no-one else in the cluster can obtain the lock with the same name until the lock is released.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Lock>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lock(Lock delegate)`
    `Lock(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Lock` | `getDelegate()`
    `int` | `hashCode()`
    `static Lock` | `newInstance(Lock arg)`
    `void` | `release()` Release the lock.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Lock> __TYPE_ARG

  - ### Constructor Detail

    - #### Lock

          public Lock(Lock delegate)

    - #### Lock

          public Lock(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Lock getDelegate()

    - #### release

          public void release()

      Release the lock. Once the lock is released another will be able to obtain the lock.

    - #### newInstance

          public static Lock newInstance(Lock arg)

Copyright © 2021 Eclipse. All rights reserved.